Subject: Re: Need some help
From: "Mike" <[email-masked]>
To: "Jim Borum" <[email-masked]>
Date: Thu, 5 Feb 2009 16:59:06 -0500

I understand.  I will follow up with him also to make sure he gets it.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: Jim Borum 
  To: Mike 
  Sent: Thursday, February 05, 2009 4:55 PM
  Subject: RE: Need some help

  Thanks...I know Steve is busy.  You guys are great clients but my Controllor is a bulldog when it comes to payments.

  Jim 

  Jim Borum
  SVP - Client Services
  Office HQ - 513-984-5927
  Cell - 404-713-7213
  www.rdimarketing.com

------------------------------------------------------------------------------
  From: Mike [mailto:[email-masked]]
  Sent: Thu 2/5/2009 4:55 PM
  To: Jim Borum
  Subject: Re: Need some help

  I have printed a copy of both the email and the invoice.  I placed it under the door to the office so they can get on that in the morning.
  Thank you,
  Michael Bishop
  Labor Law Poster Service
  Phone 877-321-4144
  Fax 888-442-4144
  [email-masked] 
    ----- Original Message ----- 
    From: Jim Borum 
    To: [email-masked] 
    Sent: Thursday, February 05, 2009 4:30 PM
    Subject: Need some help

    Mike,

    Attached please find an Invoice Register.  Could you forward this to Steve?  We need to get a check sent out tomorrow for the invoices through 1/6.

    Thanks,

    Jim Borum
    SVP - Client Services
    Office HQ - 513-984-5927
    Cell - 404-713-7213
    www.rdimarketing.com